Rensei docs

A2A v1 JSON-RPC endpoint (SendMessage, GetTask, ListTasks, CancelTask).

A2A v1 JSON-RPC endpoint (SendMessage, GetTask, ListTasks, CancelTask). - Rensei REST API operation reference.

POST
/api/a2a

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Header Parameters

A2A-Version?string
Value in"0.3""1.0"
A2A-Extensions?string

Request Body

application/json
  1. body
jsonrpc*string
id?string|number|null
method*string
params*

Response Body

JSON-RPC 2.0 response. Carries either a result (success) or an error object — including non-colliding application-level auth failures (-32010) and Cedar denials (-32011).

application/json
  1. response
jsonrpc*string
id?string|number|null
result?|||
error?
Example Request
curl -X POST 'https://app.rensei.ai/api/a2a' \  -H 'Content-Type: application/json' \  -d '{  "jsonrpc": "2.0",  "method": "SendMessage",  "params": {    "message": {      "messageId": "string",      "role": "ROLE_USER",      "parts": [        {          "property1": null,          "property2": null        }      ]    }  }}'
Example Response200
{  "jsonrpc": "2.0",  "id": "string",  "result": {    "id": "string",    "contextId": "string",    "status": {      "state": "TASK_STATE_UNSPECIFIED",      "timestamp": "string",      "property1": null,      "property2": null    },    "history": [      {        "property1": null,        "property2": null      }    ],    "artifacts": [      {        "property1": null,        "property2": null      }    ],    "metadata": {      "property1": null,      "property2": null    },    "property1": null,    "property2": null  },  "error": {    "code": 0,    "message": "string",    "data": null  }}